DWARF_RESET_SECTION_BYTES(3)

NAME
dwarf_reset_section_bytes - reset the internal state of a producer instance

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
void
dwarf_reset_section_bytes(Dwarf_P_Debug dbg);

DESCRIPTION
Function dwarf_reset_section_bytes() resets the internal state of a DWARF producer instance, so that the next call to the function dwarf_get_section_bytes(3) will return the byte stream for the first generated section, and the next call to the function dwarf_get_relocation_info(3) will return the first relocation array for the DWARF producer instance.

Argument dbg should reference a DWARF producer instance allocated using dwarf_producer_init(3) or dwarf_producer_init_b(3).

RETURN VALUES
Function dwarf_reset_section_bytes() has no return value.

SEE ALSO
dwarf(3), dwarf_get_relocation_info(3), dwarf_get_section_bytes(3), dwarf_producer_init(3), dwarf_producer_init_b(3), dwarf_transform_to_disk_form(3)